.TH svm_train "2003" "Janis Fehr" "University of Freiburg, Germay"
.SH NAME
svm_train
.SH CALLING SEQUENCE
.nf
[C]=svm_train(model,param,A,[B])
.fi
.SH PARAMETERS
.TP
model
: file to store model
.TP
param
: string of parameters. see also svm_parameter
.TP
A
: input file, labeld matrix or unlabeld matrix 
.TP
B
: (optional), Matrix of labels, if A is unlabled Matrix. If A isNxM, then B has to be 1xN.
.SH DESCRIPTION
train an svm model on a set of labeled featurevectors as training data.  
.SH EXAMPLE
.nf
1) Train from File:
   svm_train('svm.model','-t 1 -d 3','heart_scale')
2) Train from labeled matrix:
   A=[x1 2 3 4 5 6 7 9 ...;x2 3 6 2 7 2 ...; ...] //where xi is the integer classlabel followed by features.  
   svm_train('svm.model','-t 1 -d 3',A) 
3) Train from unlabeled matrix:
   A=[1 2 3 4 5 6 7 9 ...;2 3 6 2 7 2 ...; ...] //matrix of features
   B=[x1 x2 x3 x4 ...] // matrix of labels
   svm_train('svm.model','-t 1 -d 3',A,B) 
.fi
.SH AUTHOR
Janis Fehr
.SH SEE ALSO
svm_predict svm_parameter



